| Face Engine SDK 5.35.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFaceEnginePos Struct Referenceabstract
SDK core interfaces

Root LUNA SDK object interface. More...

`#include <IFaceEnginePos.h>`

Inheritance diagram for fsdk::IFaceEnginePos:

## Public Member Functions
virtual ResultValue< FSDKError, IDetectorPtr > | createDetector () noexcept=0
| Creates a detector of given type. More...
virtual ResultValue< FSDKError, IHeadPoseEstimatorPtr > | createHeadPoseEstimator () noexcept=0
| Creates Head pose estimator. More...
virtual ResultValue< FSDKError, IMedicalMaskEstimatorPtr > | createMedicalMaskEstimator () noexcept=0
| Creates MedicalMask estimator. More...
virtual ResultValue< FSDKError, IGlassesEstimatorPtr > | createGlassesEstimator () noexcept=0
| Creates Glasses estimator. More...
| FSDK_DEPRECATED ("createQualityEstimator is deprecated since v.5.32.0, " "use createSubjectiveQualityEstimator instead!") virtual ResultValue< FSDKError
| Creates Quality estimator. More...
IQualityEstimatorPtr | createQualityEstimator () noexcept=0
virtual ResultValue< FSDKError, ISubjectiveQualityEstimatorPtr > | createSubjectiveQualityEstimator () noexcept=0
| Creates Subjective quality estimator. More...
virtual ResultValue< FSDKError, IDescriptorPtr > | createDescriptor (uint32_t version=0) noexcept=0
| Creates Descriptor. More...
virtual ResultValue< FSDKError, IDescriptorPtr > | createDescriptor (IArchive *archive, uint32_t flags=0) noexcept=0
| Creates and loads Descriptor from Archive. More...
virtual ResultValue< FSDKError, IDescriptorBatchPtr > | createDescriptorBatch (int32_t size, uint32_t version=0) noexcept=0
| Creates Batch of descriptors. More...
virtual ResultValue< FSDKError, IDescriptorExtractorPtr > | createExtractor (uint32_t version=0) noexcept=0
| Creates descriptor extractor. More...
virtual ResultValue< FSDKError, IDescriptorMatcherPtr > | createMatcher (uint32_t version=0) noexcept=0
| Creates descriptor matcher. More...
virtual ResultValue< FSDKError, IWarperPtr > | createWarper () noexcept=0
| Creates warper. More...
virtual FaceEngineEdition | getFaceEngineEdition () const noexcept=0
| Get LUNA SDK distribution edition. More...
virtual void | setDataDirectory (const char *path) noexcept=0
| Sets data directory. More...
virtual const char * | getDataDirectory () const noexcept=0
| Gets data directory. More...
virtual void | setSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets settings provider. More...
virtual void | setRuntimeSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets runtime settings provider. More...
virtual ISettingsProvider * | getSettingsProvider () const noexcept=0
| Gets settings provider. More...
virtual ISettingsProvider * | getRuntimeSettingsProvider () const noexcept=0
| Gets runtime settings provider. More...
virtual ILicense * | getLicense () const noexcept=0
| Get current License object, which was set for FaceEngine object. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Root LUNA SDK object interface.

Note
  Face Engine also implements factory interface so all usual factory options apply.

The documentation for this struct was generated from the following file:

- include/fsdk/IFaceEnginePos.h